package SGN::View::Mason::Commands;
use strict;
use vars qw($m $c);
HTML::Mason::Component::FileBased->new(
'code' => sub {
use utf8; local $SGN::View::Mason::Commands::m = $HTML::Mason::Commands::m;
HTML::Mason::Exception::Params->throw
    ( error =>
      "Odd number of parameters passed to component expecting name/value pairs"
    ) if @_ % 2;
my ( $object_id, $object_type, $sp_person_autocomplete_uri, $owner_add_uri, $show_form, $owners_div );
{
    my %pos;
    for ( my $x = 0; $x < @_; $x += 2 )
    {
        $pos{ $_[$x] } = $x + 1;
    }

    foreach my $arg ( qw( object_id object_type owner_add_uri ) )
    {
        HTML::Mason::Exception::Params->throw
            ( error => "no value sent for required parameter '$arg'" )
                unless exists $pos{$arg};
    }
#line 48 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
    $object_id = $_[ $pos{'object_id'} ];
#line 49 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
    $object_type = $_[ $pos{'object_type'} ];
#line 50 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
     $sp_person_autocomplete_uri = exists $pos{'sp_person_autocomplete_uri'} ? $_[ $pos{'sp_person_autocomplete_uri'} ] :  '/ajax/people/autocomplete/1';
#line 51 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
    $owner_add_uri = $_[ $pos{'owner_add_uri'} ];
#line 52 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
     $show_form = exists $pos{'show_form'} ? $_[ $pos{'show_form'} ] :  0;
#line 53 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
     $owners_div = exists $pos{'owners_div'} ? $_[ $pos{'owners_div'} ] :  'object_owners';
}
$m->debug_hook( $m->current_comp->path ) if ( HTML::Mason::Compiler::IN_PERL_DB() );

#line 1 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print( '

' );
#line 45 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print( '
' );
#line 55 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print( '
<script language="javascript">

  jQuery(function() {
     jQuery("#sp_person").autocomplete({
	 source: \'' );
#line 60 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print(  $sp_person_autocomplete_uri  );
#line 60 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print( '\'
     });
  });

  function submit_owner_form() {
       var sp_person = jQuery("#sp_person").val();
         jQuery.ajax({
           dataType: "json",
           url: "' );
#line 68 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print(  $owner_add_uri  );
#line 68 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print( '" ,
           type:"POST",
           data: \'object_id=\'+' );
#line 70 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print(  $object_id  );
#line 70 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print( '+\'&sp_person=\'+sp_person ,
           success: function(response) {
               var error = response.error;
               if (error) { alert(error) ; }
       	       display_owners( "' );
#line 74 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print(  $owners_div  );
#line 74 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print( '" );
           }
       } );
  }

</script>


' );
#line 82 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
 if ($show_form) {
$m->print( '
 ' );
#line 84 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->comp( { content => sub {
#line 84 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print( '
 
<div id="associate_owner_form">
  Notice: \'user\' account will be updated to \'submitter\'
  <div id="person_search" >
    <form name="owner_form" >
      <input type="text" style="width: 70%" id="sp_person" name="sp_person" value = "type first or last name"/>
      <input type="hidden" id="object_id" name="object_id" value="' );
#line 91 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print(  $object_id  );
#line 91 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print( '" />
       <input
         type="button"
         name = "assign_owner"
         onclick="javascript:submit_owner_form()"
         value = "Assign owner" />
    </form>
  </div>
</div>

' );
#line 101 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
} }, '/page/optional_show.mas', title => "Assign owner"
 );
#line 101 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
$m->print( '

' );
#line 103 "/home/production/cxgn/sgn/mason/phenome/assign_owner.mas"
 }
;return;
},
'declared_args' => {
  '$object_id' => { default => undef },
  '$object_type' => { default => undef },
  '$owner_add_uri' => { default => undef },
  '$owners_div' => { default => ' \'object_owners\'' },
  '$show_form' => { default => ' 0' },
  '$sp_person_autocomplete_uri' => { default => ' \'/ajax/people/autocomplete/1\'' }
},
'load_time' => 1715022567,

)
;